clang 10.0.0git

Macros | Functions
avx512vp2intersectintrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __DEFAULT_FN_ATTRS

## Functions
static __inline__ void __DEFAULT_FN_ATTRS | _mm512_2intersect_epi32 (__m512i __a, __m512i __b, __mmask16 *__m0, __mmask16 *__m1)
| Store, in an even/odd pair of mask registers, the indicators of the locations of value matches between dwords in operands __a and __b. More...
static __inline__ void __DEFAULT_FN_ATTRS | _mm512_2intersect_epi64 (__m512i __a, __m512i __b, __mmask8 *__m0, __mmask8 *__m1)
| Store, in an even/odd pair of mask registers, the indicators of the locations of value matches between quadwords in operands __a and __b. More...

## Macro Definition Documentation

## ◆ __DEFAULT_FN_ATTRS

#define __DEFAULT_FN_ATTRS

Value:
__attribute__((__always_inline__, __nodebug__, __target__("avx512vp2intersect"), \
__min_vector_width__(512)))
__attribute__
vector signed char unaligned_vec_schar __attribute__((aligned(1)))
Zeroes the upper 128 bits (bits 255:128) of all YMM registers.
Definition: altivec.h:16347

Definition at line 31 of file avx512vp2intersectintrin.h.

Referenced by _mm512_2intersect_epi32().

## Function Documentation

## ◆ _mm512_2intersect_epi32()

static __inline__ void __DEFAULT_FN_ATTRS _mm512_2intersect_epi32 | ( | __m512i | __a,
|  | __m512i | __b,
|  | __mmask16 * | __m0,
|  | __mmask16 * | __m1
| ) |  |
| static

Store, in an even/odd pair of mask registers, the indicators of the locations of value matches between dwords in operands __a and __b.

This intrinsic corresponds to the `VP2INTERSECTD` instruction.

Parameters

  __a | A 512-bit vector of [16 x i32].
  __b | A 512-bit vector of [16 x i32]
  __m0 | A pointer point to 16-bit mask
  __m1 | A pointer point to 16-bit mask

Definition at line 51 of file avx512vp2intersectintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ _mm512_2intersect_epi64()

static __inline__ void __DEFAULT_FN_ATTRS _mm512_2intersect_epi64 | ( | __m512i | __a,
|  | __m512i | __b,
|  | __mmask8 * | __m0,
|  | __mmask8 * | __m1
| ) |  |
| static

Store, in an even/odd pair of mask registers, the indicators of the locations of value matches between quadwords in operands __a and __b.

This intrinsic corresponds to the `VP2INTERSECTQ` instruction.

Parameters

  __a | A 512-bit vector of [8 x i64].
  __b | A 512-bit vector of [8 x i64]
  __m0 | A pointer point to 8-bit mask
  __m1 | A pointer point to 8-bit mask

Definition at line 71 of file avx512vp2intersectintrin.h.